Take the 2-minute tour ×
Database Administrators Stack Exchange is a question and answer site for database professionals who wish to improve their database skills and learn from others in the community. It's 100% free, no registration required.

I have installed SQLite3 on Mountain Lion via MacPorts and Ruby along with sqlite3 gem using RVM.

I'd like to know if there's any way for me to understand if my SQLite3 installation supports FTS4.

i.e. The only way I found online was issuing FTS3 commands and not getting errors, but there must be a more 'clean' way... Also the mentioned way doesn't show if you have FTS3 or 4 working.

share|improve this question

1 Answer 1

up vote 1 down vote accepted

The documentation states:

Note that enabling FTS3 also makes FTS4 available. There is not a separate SQLITE_ENABLE_FTS4 compile-time option. A build of SQLite either supports both FTS3 and FTS4 or it supports neither.

So if FTS3 works, so does FTS4.

Doesn't look like it's possible to tell what options sqlite was compiled with according to this SO answer.

share|improve this answer
    
I think I can live with that. Thanks :-) –  atmosx Aug 22 '12 at 13:24

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.